Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl
Class JdbcReportDataSourceServiceFactory.PooledDataSourcesCache

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl.JdbcReportDataSourceServiceFactory.PooledDataSourcesCache

Enclosing class:
  JdbcReportDataSourceServiceFactory

    protected static class JdbcReportDataSourceServiceFactory.PooledDataSourcesCache

extends java.lang.Object

Nested Class Summary
`protected static class` | `JdbcReportDataSourceServiceFactory.PooledDataSourcesCache.DataSourceEntry`

Constructor Summary
`JdbcReportDataSourceServiceFactory.PooledDataSourcesCache()`

Method Summary
`PooledDataSource` | `get(java.lang.Object key, long now)`
`void` | `put(java.lang.Object key, PooledDataSource ds, long now)`
`protected void` | `remove(JdbcReportDataSourceServiceFactory.PooledDataSourcesCache.DataSourceEntry entry)`
`java.util.List` | `removeExpired(long now, int timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcReportDataSourceServiceFactory.PooledDataSourcesCache

    public JdbcReportDataSourceServiceFactory.PooledDataSourcesCache()

Method Detail

### get

    public PooledDataSource get(java.lang.Object key,
                                long now)

### put

    public void put(java.lang.Object key,
                    PooledDataSource ds,
                    long now)

### removeExpired

    public java.util.List removeExpired(long now,
                                        int timeout)

### remove

    protected void remove(JdbcReportDataSourceServiceFactory.PooledDataSourcesCache.DataSourceEntry entry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.